[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#665852: [PATCH] Replace the volatile name with release updates.



Untested concept. Please review the strings.

Would-Close: #665852
---
 debian/apt-setup-udeb.install   |    2 +-
 debian/apt-setup-udeb.templates |   24 ++++-------
 debian/changelog                |    3 ++
 generators/90services-select    |   16 ++++---
 generators/92updates            |   74 ++++++++++++++++++++++++++++++++
 generators/92volatile           |   88 ---------------------------------------
 6 files changed, 94 insertions(+), 113 deletions(-)
 create mode 100755 generators/92updates
 delete mode 100755 generators/92volatile

diff --git a/debian/apt-setup-udeb.install b/debian/apt-setup-udeb.install
index 882e2f9..bc39edd 100644
--- a/debian/apt-setup-udeb.install
+++ b/debian/apt-setup-udeb.install
@@ -4,4 +4,4 @@ generators/01setup usr/lib/apt-setup/generators
 generators/60local usr/lib/apt-setup/generators
 generators/90services-select usr/lib/apt-setup/generators
 generators/91security usr/lib/apt-setup/generators
-generators/92volatile usr/lib/apt-setup/generators
+generators/92updates usr/lib/apt-setup/generators
diff --git a/debian/apt-setup-udeb.templates b/debian/apt-setup-udeb.templates
index 50c4784..6f502d6 100644
--- a/debian/apt-setup-udeb.templates
+++ b/debian/apt-setup-udeb.templates
@@ -27,10 +27,10 @@ Type: text
 # :sl1:
 _Description: Scanning the security updates repository...
 
-Template: apt-setup/progress/volatile
+Template: apt-setup/progress/updates
 Type: text
 # :sl1:
-_Description: Scanning the volatile updates repository...
+_Description: Scanning the release updates repository...
 
 Template: apt-setup/local/key-error
 Type: select
@@ -59,12 +59,6 @@ Default: security.debian.org
 Description: for internal use; can be preseeded
  Host to use for security updates
 
-Template: apt-setup/volatile_host
-Type: string
-Default: volatile.debian.org
-Description: for internal use; can be preseeded
- Host to use for volatile updates
-
 Template: apt-setup/service-failed
 Type: error
 # :sl2:
@@ -79,25 +73,25 @@ _Description: Cannot access repository
 # All services are enabled by default to allow preseeding
 Template: apt-setup/services-select
 Type: multiselect
-Choices-C: security, volatile
+Choices-C: security, updates
 # SEC_HOST and VOL_HOST are host names (e.g. security.debian.org)
 # Translators: the *entire* string should be under 55 columns
 # including host name. In short, KEEP THIS SHORT and, yes, that's tricky
 # :sl3:
-__Choices: security updates (from ${SEC_HOST}), volatile updates (from ${VOL_HOST})
-Default: security, volatile
+__Choices: security updates (from ${SEC_HOST}), release updates
+Default: security, updates
 # :sl3:
 _Description: Services to use:
  Debian has two services that provide updates to releases: security and
- volatile.
+ release updates.
  .
  Security updates help to keep your system secured against attacks. Enabling
  this service is strongly recommended.
  .
- Volatile updates provide more current versions for software that changes
+ Release updates provide more current versions for software that changes
  relatively frequently and where not having the latest version could reduce
- the usability of the software. An example is the virus signatures for a virus
- scanner. This service is only available for stable and oldstable releases.
+ the usability of the software. It also provides regression fixes.
+ This service is only available for stable and oldstable releases.
 
 Template: apt-setup/multiarch
 Type: string
diff --git a/debian/changelog b/debian/changelog
index a53ed33..846d194 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -8,6 +8,9 @@ apt-setup (1:0.58) UNRELEASED; urgency=low
     the previous behaviour of creating clearly broken entries under such
     circumstances which users then re-enabled.  (Closes: #613910)
 
+  [ Philipp Kern ]
+  * Replace the volatile name with release updates.  (Closes: #665852)
+
  -- Philipp Kern <pkern@debian.org>  Sun, 15 Apr 2012 14:45:51 +0200
 
 apt-setup (1:0.57) unstable; urgency=low
diff --git a/generators/90services-select b/generators/90services-select
index a637bfd..7d5f990 100755
--- a/generators/90services-select
+++ b/generators/90services-select
@@ -40,32 +40,30 @@ if [ "$suite" = unstable ]; then
 	exit
 fi
 
-volatile=y
+updates=y
 if [ "$suite" != stable ] && [ "$suite" != oldstable ]; then
-	disable_service volatile || true
-	volatile=n
+	disable_service updates || true
+	updates=n
 fi
 
 db_get apt-setup/security_host
 db_subst apt-setup/services-select SEC_HOST "$RET"
-db_get apt-setup/volatile_host
-db_subst apt-setup/services-select VOL_HOST "$RET"
 
 db_input medium apt-setup/services-select || true
 if ! db_go; then
 	exit 10 # back up
 fi
 
-# Selecting volatile for testing is invalid
-if [ "$volatile" = n ] && disable_service volatile; then
-	logger -t apt-setup "info: invalid selection of volatile for testing disabled"
+# Selecting release updates for testing is invalid
+if [ "$updates" = n ] && disable_service updates; then
+	logger -t apt-setup "info: invalid selection of release updates disabled for testing"
 fi
 
 # No need to set up proxy here if no services were selected
 db_get apt-setup/services-select
 [ "$RET" ] || exit 0
 
-# Proxy configuration is common to both security and volatile
+# Proxy configuration is common to all services
 if db_get mirror/http/proxy && [ -n "$RET" ]; then
 	proxy="$RET"
 	if ! grep -iq "Acquire::http::Proxy" $ROOT/etc/apt/apt.conf.new; then
diff --git a/generators/92updates b/generators/92updates
new file mode 100755
index 0000000..6686b39
--- /dev/null
+++ b/generators/92updates
@@ -0,0 +1,74 @@
+#!/bin/sh
+set -e
+
+. /usr/share/debconf/confmodule
+
+file="$1"
+
+db_get apt-setup/services-select
+if ! echo "$RET" | grep -q updates; then
+	exit
+fi
+
+if db_get mirror/codename && [ "$RET" ]; then
+	codename="$RET"
+	db_get mirror/suite
+	suite="$RET"
+
+	db_get mirror/protocol
+	protocol="$RET"
+	db_get mirror/$protocol/hostname
+	host="$RET"
+	db_get mirror/$protocol/directory
+	directory="/${RET#/}"
+else
+	db_get cdrom/codename
+	codename="$RET"
+	db_get cdrom/suite
+	suite="$RET"
+fi
+
+# To determine if non-free and contrib should be included, grep
+# the file to see if they are listed in it.
+dists="main"
+for dist in contrib non-free; do
+	if grep -q '^[^#]* '$dist $ROOT/etc/apt/sources.list.new; then
+		dists="$dists $dist"
+	fi
+done
+
+# Don't test mirror if no network selected in netcfg
+echo "# ${codename}-updates, previously known as 'volatile'" >> $file
+
+if  [ -n "$protocol" ] && [ -n "$host" ]; then
+	echo "deb $protocol://${host}${directory} ${codename}-updates $dists" >> $file
+else
+	echo "# A network mirror was not selected during install.  The following entries" >> $file
+	echo "# are provided as examples, but you should amend them as appropriate" >> $file
+	echo "# for your mirror of choice." >> $file
+	echo "#" >> $file
+	echo "# deb http://ftp.debian.org/debian/ ${codename}-updates $dists" >> $file
+fi
+if db_get netcfg/dhcp_options && \
+   [ "$RET" = "Do not configure the network at this time" ]; then
+	CODE=9
+else
+	CODE=0
+	export ASV_TIMEOUT="-o Acquire::http::Timeout=30"
+	if ! apt-setup-verify --from $PROGRESS_FROM --to $PROGRESS_TO $file; then
+		db_subst apt-setup/service-failed HOST "$host"
+		db_input critical apt-setup/service-failed || true
+		if ! db_go; then
+			exit 10 # back up
+		fi
+		CODE=9
+	fi
+fi
+
+if [ -n "$protocol" ] && [ -n "$host" ]; then
+	echo "deb-src $protocol://${host}${directory} ${codename}-updates $dists" >> $file
+else
+	echo "# deb-src http://ftp.debian.org/debian/ ${codename}-updates $dists" >> $file
+fi
+
+exit $CODE
diff --git a/generators/92volatile b/generators/92volatile
deleted file mode 100755
index 51469a9..0000000
--- a/generators/92volatile
+++ /dev/null
@@ -1,88 +0,0 @@
-#!/bin/sh
-set -e
-
-. /usr/share/debconf/confmodule
-
-file="$1"
-
-db_get apt-setup/services-select
-if ! echo "$RET" | grep -q volatile; then
-	exit
-fi
-
-db_get apt-setup/volatile_host
-host="$RET"
-[ "$host" ] || exit
-
-if db_get mirror/codename && [ "$RET" ]; then
-	codename="$RET"
-	db_get mirror/suite
-	suite="$RET"
-
-	if [ "$codename" != "lenny" ]; then
-		db_get mirror/protocol
-		protocol="$RET"
-		db_get mirror/$protocol/hostname
-		host="$RET"
-		db_get mirror/$protocol/directory
-		directory="/${RET#/}"
-	fi
-else
-	db_get cdrom/codename
-	codename="$RET"
-	db_get cdrom/suite
-	suite="$RET"
-fi
-
-# To determine if non-free and contrib should be included, grep
-# the file to see if they are listed in it.
-dists="main"
-for dist in contrib non-free; do
-	if grep -q '^[^#]* '$dist $ROOT/etc/apt/sources.list.new; then
-		dists="$dists $dist"
-	fi
-done
-
-# Don't test mirror if no network selected in netcfg
-if [ "$codename" = "lenny" ]; then
-	echo "deb http://$host/debian-volatile $codename/volatile $dists" >> $file
-else
-	echo "# ${codename}-updates, previously known as 'volatile'" >> $file
-
-	if  [ -n "$protocol" ] && [ -n "$host" ]; then
-		echo "deb $protocol://${host}${directory} ${codename}-updates $dists" >> $file
-	else
-		echo "# A network mirror was not selected during install.  The following entries" >> $file
-		echo "# are provided as examples, but you should amend them as appropriate" >> $file
-		echo "# for your mirror of choice." >> $file
-		echo "#" >> $file
-		echo "# deb http://ftp.debian.org/debian/ ${codename}-updates $dists" >> $file
-	fi
-fi
-if db_get netcfg/dhcp_options && \
-   [ "$RET" = "Do not configure the network at this time" ]; then
-	CODE=9
-else
-	CODE=0
-	export ASV_TIMEOUT="-o Acquire::http::Timeout=30"
-	if ! apt-setup-verify --from $PROGRESS_FROM --to $PROGRESS_TO $file; then
-		db_subst apt-setup/service-failed HOST "$host"
-		db_input critical apt-setup/service-failed || true
-		if ! db_go; then
-			exit 10 # back up
-		fi
-		CODE=9
-	fi
-fi
-
-if [ "$codename" = "lenny" ]; then
-	echo "deb-src http://$host/debian-volatile $codename/volatile $dists" >> $file
-else
-	if [ -n "$protocol" ] && [ -n "$host" ]; then
-		echo "deb-src $protocol://${host}${directory} ${codename}-updates $dists" >> $file
-	else
-		echo "# deb-src http://ftp.debian.org/debian/ ${codename}-updates $dists" >> $file
-	fi
-fi
-
-exit $CODE
-- 
1.7.9.5




Reply to: